Unexpected Parsoid tokenization
Closed, ResolvedPublic

Description

From Parsoid page https://en.wikipedia.org/api/rest_v1/page/html/Dumb_and_Dumber, we see the following data-mw for the infobox:

data-mw='...,"gross":{"wt":"$247 million<ref name=\"mojo title"}},"i":0}}]}'

And the wikitext source for the "gross" attribute is

| gross = $247 million<ref name="mojo title|dumbanddumber">{{mojo title|dumbanddumber}}</ref>

It seems the Parsoid tokenizer incorrectly truncates the line at the first pipe char.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 2:55 AM
Arlolra triaged this task as "Normal" priority.Aug 17 2016, 5:52 PM
Arlolra claimed this task.
Arlolra added a subscriber: Arlolra.

Hmm, must be the precedence of extension tags, because we do the right thing if that were a div.

ssastry added a subscriber: ssastry.Sep 7 2016, 4:37 PM

Related: T115186 ... I haven't looked closely if they are duplicates, but worth investigating.

Change 328444 had a related patch set uploaded (by Arlolra):
T143183: Extensions take precedence over templates

https://gerrit.wikimedia.org/r/328444

Change 328444 merged by jenkins-bot:
T143183: Extensions take precedence over templates

https://gerrit.wikimedia.org/r/328444

Arlolra closed this task as "Resolved".Dec 21 2016, 7:20 PM

Mentioned in SAL (#wikimedia-operations) [2017-01-05T18:25:27Z] <arlolra> Updated Parsoid to 974dd5b3 (T143183, T102134, T113044)